@import url("main.css");

:root {
    --header-pink: #e15fac;
    --header-blue: #3843a6;
    --description-border: #e1dfe7;
    --description-color: #f9f7fe;
    --difficulty-background: #e1d6fb;
    --difficulty-active: #bfa8f8;
    --difficulty-text: #5e5e5e;
    --difficulty: #e7e2f3;
    --leader-link: #fdbf2a;
    --border-light: #cfc1ef;
    --border: #8462db;
}

.page {
    margin: 0;
}

.header-text {
    font-size: 150%;
    font-weight: 100;
    margin-left: 10px;
    margin-bottom: 22px;
    color: #e15fac;
    text-shadow: #efcfe1 0px 0px 10px;
}

.header-text p {
    font-weight: lighter;
    font-size: 8pt;
    color: #cc2e8a;
}

.header-text a {
    color: #3843a6;
    text-shadow: #efcfe1 0px 0px 10px;
}

.page h2 {
    text-shadow: #efcfe1 0px 0px 10px;
    color: #cc2e8a;
    font-weight: normal;
    font-size: 110%;
    margin: 10px;
}

.beatmap {
    display: grid;
}

.tab-list {
    background-color: #e1d6fb;
    border-bottom: 1px solid #cfc1ef;
    width: 100%;
    float: left;
}

.tab-list ul {
    display: block;
    list-style: none;
    margin: 0;
    padding: 0;
    border: 0;
}

.tab-link {
    text-decoration: none;
    font-size: 90%;
    padding: 7px 8px 7px 8px;
    line-height: 15px;
    color: #5e5e5e;
    background-color: #e7e2f3;
    display: inline-block; /* Use this as backup */
    display: flex;
}

.tab-link:hover {
    background-color: white;
    text-decoration: none;
}

.tab-link img {
    height: 16px;
    width: 16px;
    margin: auto;
    margin-right: 5px;
}

.tab-item {
    margin: 0;
    width: auto;
    float: left;
    display: block;
}

.tab-link:visited {
    color: #5e5e5e;
}

.active {
    background-color: #bfa8f8;
}

.beatmap-stats {
    clear: both;
    background-color: #e7e2f3;
    border-top: 1px solid #cfc1ef;
    border-bottom: 1px solid #8462db;
    padding: 2px;
    font-size: 9pt;
}

.beatmap-stats table {
    width: 100%;
}

.beatmap-stats td {
    border-bottom: 1px solid #cfc1ef;
    padding: 8px
}

.starfield {
    height: 14px;
    background: url('/images/beatmap/starn.png');
    background-repeat: repeat-x;
    overflow: hidden;
}

.starfield-selected {
    height: 14px;
    background: url('/images/beatmap/star.png');
    background-repeat: repeat-x;
    overflow: hidden;
}

#favourites {
    font-size: 8pt;
    overflow: hidden;
}

.padding {
    padding-left: 8px;
    padding-right: 8px;
    margin-bottom: 8px;
    margin-top: 8px;
}

.beatmap-description {
    border: 1px solid #e1dfe7;
    background-color: #f9f7fe;
    overflow: auto;
    padding: 7px;
    margin: 5px;
    height: 124px;
    max-width: 650px;
}

.beatmap-description .bbcode {
    font-size: 70%;
    text-align: left;
    overflow: auto;
    display: inline;
    padding: 0;
}

.beatmap-description .bbcode--normal-line-height br {
    margin-bottom: 4px;
}

.beatmap-preview-link {
    float: left;
    width: 160px;
    height: 120px;
    margin-right: 5px;
}

.beatmap-description .spoiler {
    padding: 5px;
}

.beatmap-description .spoiler-head {
    display: block;
    color: black;
}

.beatmap-description .spoiler-head:hover {
    cursor: pointer;
    text-decoration: none;
}

.beatmap-download {
    float: right;
    margin-left: 10px;
    margin-top: 5px;
}

.score-header {
    width: 100%;
    text-align: left;
    min-height: 100px;
    margin: 0 auto;
    text-align: center;
}

.no-records {
    display: block;
    padding-top: 42px;
}

.leader {
    display: inline-block;
    text-align: left;
    border: 1px solid black;
    font-size: 80%;
    margin: auto 5px auto;
    margin-top: 25px;
    margin-bottom: 25px;
    border-spacing: 0;
    padding: 0;
}

.leader a {
    color: #fdbf2a;
}

.leader .row-grade {
    min-width: 135px;
}

.leader td {
    padding: 3px;
    font-size: 95%;
    min-width: 115px;
}

.leader .row-title {
    font-size: 120%;
    font-weight: bold;
    background-color: black;
    color: white;
    text-align: left;
}

.row-light {
    background-color: #edebfa;
}

.row-dark {
    background-color: #e3e1fa;
}

.row-grade {
    text-align: center;
    height: 100%;
}

.row-grade img {
    vertical-align: middle;
    border: 0;
}

.scores-header {
    background-color: #d7d2fb;
    text-align: center;
}

.scores {
    font-size: 80%;
    width: 100%;
    margin-bottom: 35px;
    text-align: left;
    vertical-align: middle;
    border-spacing: 0;
}

.scores th {
    border-bottom: 1px solid #a79ef3;
}

.scores td {
    height: 15px;
    vertical-align: middle;
    padding: 2px;
    padding-top: 2.5px;
}

.scores img {
    vertical-align: middle;
}

.scores .row-light:hover,
.scores .row-dark:hover {
    background-color: white;
    cursor: pointer;
}

.bat-controls {
    margin: 5px;
}

.bat-controls details {
    padding: 5px;
}

.bat-controls dt {
    float: left;
    clear: left;
    width: 30%;
}

.bat-controls dd {
    color: #536482;
    margin-bottom: 5px;
    line-height: 25px;
}

.bat-diffs {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-evenly;
    margin-bottom: 10px;
    overflow: hidden;
    overflow-wrap: anywhere;
    text-align: center;
}

.bat-diffs div {
    text-align: center;
    display: grid;
    margin: 2px;
}

.bat-diffs select {
    text-align: center;
}

.bat-diffs dt {
    width: auto;
}